/*
 Theme Name:     Divi Child
 Theme URI:      https://www.elegantthemes.com/gallery/divi/
 Description:    Divi Child Theme
 Author:         Elegant Themes
 Author URI:     https://www.elegantthemes.com
 Template:       Divi
 Version:        1.0.0
*/
 
 
/* =Theme customization starts here
------------------------------------------------------- */

/* #Full Screen
================================================== */

	/* Fonts */

	html:root, body, p {	
		--wp--preset--font-size--normal: font-size 16px;
		font-size: 16px;
		line-height: 1.7em;
	}
			
	body h1 { font-size: 300%; }
	body h2 { font-size: 270%; }

	.swiper-slide h3 { font-size: 250%; }
	.swiper-slide-readmore { font-size: 125%; }
	.swiper-slide-description { padding: 0% 15%; }

	/* Mobile Nav Bar */

	.mob-menu-logo-holder, .mob-menu-header-holder, .mobmenul-container { height: 8dvh !important; }

	body.mob-menu-overlay, body.mob-menu-slideout, body.mob-menu-slideout-over, body.mob-menu-slideout-top { padding-top: 8dvh !important; }

	img.mob-standard-logo { padding: 10px 0px; height: 8dvh !important; }

    /* Homepage Layouts */

	body.home .et_pb_text_inner {
		padding: 0px 10%;
	}

	.home-testimonials {
		height: 50dvh !important;
		display: block;
		overflow: hidden;
	}

    /* Homepage Snaps */
	.swiper-slide-bg { height: 60dvh; }
	.vert-align { height: 32dvh; }

	.snap-section-testimonial {
		height: calc(100dvh); /* Makes each section fill the viewport for a full-page snap effect */
	}

	.home-services-matrix { height: 50dvh; }


/* #Base 960 Grid 
================================================== */

   @media only screen and (min-width: 960px) and (max-width: 1279px) {
	   	/* Fonts */

	html:root, body, p {	
		--wp--preset--font-size--normal: font-size 16px;
		font-size: 16px;
		line-height: 1.7em;
	}
	   
	body h1 { font-size: 300%; }
	body h2 { font-size: 270%; }
	   
	.swiper-slide h3 { font-size: 250%; }
	.swiper-slide-readmore { font-size: 125%; }
	.swiper-slide-description { padding: 0% 15%; }
	   
	/* Mobile Nav Bar */

	.mob-menu-logo-holder, .mob-menu-header-holder, .mobmenul-container { height: 8dvh !important; }

	body.mob-menu-overlay, body.mob-menu-slideout, body.mob-menu-slideout-over, body.mob-menu-slideout-top { padding-top: 8dvh !important; }

	img.mob-standard-logo { padding: 10px 0px; height: 8dvh !important; }

    /* Homepage Snaps */
	   .swiper-slide-bg { height: 55dvh; }
	   .vert-align { height: 37dvh; }
	   
	   	.snap-section-testimonial {
		height: calc(100dvh); /* Makes each section fill the viewport for a full-page snap effect */
		}
	   .home-services-matrix { height: 50dvh; }
	   
	}
    
    
/* #Tablet (Portrait)
================================================== */   

    /* Note: Design for a width of 768px */

    @media only screen and (min-width: 768px) and (max-width: 959px) {
			/* Fonts */

	html:root, body, p {	
		--wp--preset--font-size--normal: font-size 14px;
		font-size: 14px;
		line-height: 1.7em;
	}
		
	body h1 { font-size: 262%; }
	body h2 { font-size: 236%; }
		
	.swiper-slide h3 { font-size: 250%; }
	.swiper-slide-readmore { font-size: 125%; }
	.swiper-slide-description { padding: 0% 15%; }
		
	/* Mobile Nav Bar */

	.mob-menu-logo-holder, .mob-menu-header-holder, .mobmenul-container { height: 8dvh !important; }

	body.mob-menu-overlay, body.mob-menu-slideout, body.mob-menu-slideout-over, body.mob-menu-slideout-top { padding-top: 8dvh !important; }

	img.mob-standard-logo { padding: 10px 0px; height: 8dvh !important; }

    /* Homepage Snaps */
		.swiper-slide-bg { height: 50dvh; }
		.vert-align { height: 42dvh; }
		
		.snap-section-testimonial {
			height: calc(120dvh); /* Makes each section fill the viewport for a full-page snap effect */
		}
		.home-services-matrix { height: 70dvh; }
        
    }
    
    
/*  #Mobile (Portrait) 
================================================== */
    
    /* Note: Design for a width of 320px */
    
    @media only screen and (max-width: 767px) {
			/* Fonts */

	html:root, body, p {	
		--wp--preset--font-size--normal: font-size 12px;
		font-size: 12px;
		line-height: 1.7em;
	}
		
	/* Homepage Layouts */

	body.home .et_pb_text_inner {
		padding: 0px 5%;
	}
		
	body h1 { font-size: 200%; }
	body h2 { font-size: 179%; }
	
		
	.swiper-slide h3 { font-size: 200%; }
	.swiper-slide-readmore { font-size: 100%; }
	.swiper-slide-description { padding: 0% 10%; }
		
	.swiper-button-next, .swiper-button-prev { display: none !important; }
		
	/* Mobile Nav Bar */

	.mob-menu-logo-holder, .mob-menu-header-holder, .mobmenul-container { height: 12dvh !important; }

	body.mob-menu-overlay, body.mob-menu-slideout, body.mob-menu-slideout-over, body.mob-menu-slideout-top { padding-top: 12dvh !important; }

	img.mob-standard-logo { padding: 10px 0px; height: 12dvh !important; }

    /* Homepage Snaps */
		.swiper-slide-bg { height: 48dvh; }
		.vert-align { height: 40dvh; }
		
	.snap-section-testimonial {
		height: calc(165dvh); /* Makes each section fill the viewport for a full-page snap effect */
	}
		
		.home-services-matrix { height: 115dvh; }
       
                
    }    
    
    
/* #Mobile (Landscape)
================================================== */

    /* Note: Design for a width of 480px */

	@media only screen and (min-width: 480px) and (max-width: 767px) {
			/* Fonts */

	html:root, body, p {	
		--wp--preset--font-size--normal: font-size 14px;
		font-size: 14px;
		line-height: 1.7em;
	}
		
	body h1 { font-size: 262%; }
	body h2 { font-size: 236%; }
		
	
	.swiper-slide h3 { font-size: 250%; }
	.swiper-slide-readmore { font-size: 125%; }
	.swiper-slide-description { padding: 0% 15%; }
		
	.swiper-button-next, .swiper-button-prev { display: none !important; }

    /* Homepage Snaps */
		.swiper-slide-bg { height: 45dvh; }
		.vert-align { height: 47dvh; }
		
		.snap-section-testimonial {
		height: calc(130dvh); /* Makes each section fill the viewport for a full-page snap effect */
		}
		
		.home-services-matrix { height: 80dvh; }
	}
    
    

	 														

    
    
    